package com.zjrs.zwnw.dbgl.blo;

import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.dbgl.dto.*;

/**
 * @Author chenzhibiao
 * @create 2022/6/29 17:18
 */
public interface DbrwclPLO {
    PageResult getGzqdffList(DbrwglDbrwclQueryDTO dto, Integer pagenum, Integer pagesize);

    PageResult getDbrwListByXmid(DbrwglCommQueryDTO dto, Integer pagenum, Integer pagesize);

    PageResult getGzqdListByXmid(DbrwglCommQueryDTO dto, Integer pagenum, Integer pagesize);

    void updateFfgzdq(DbrwglCommDTO dto);

    void delGzqd(DbrwglCommDTO dto);

    void updateGzqdXz(DbrwglDbrwclGzqdxzDTO dto);

    PageResult getGzjzshList(DbrwglDbrwclGzjzshQueryDTO dto, Integer pagenum, Integer pagesize);

    void updateGzqdshBatch(DbrwglGzqdBatchShDTO dto);

    void updateGzqdsh(DbrwglGzqdShDTO dto);
}
